Page MenuHomePhabricator

Deploy Growth features on Hebrew Wikipedia
Closed, ResolvedPublic

Description

This task is created to coordinate community engagement about deploying Growth features to Hebrew Wikipedia.

Translations

Help panel

Homepage

Suggested edits

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Trizek-WMF updated the task description. (Show Details)Jun 10 2020, 2:06 PM
Trizek-WMF added a subscriber: Amire80.
Amire80 updated the task description. (Show Details)Jun 14 2020, 9:17 AM

I've completed the interface translation :)

Amire80 updated the task description. (Show Details)Jun 14 2020, 9:19 AM

Can someone please be very kind and make the "Privacy statement" translatable like the other pages? I can even do it myself, if the team can commit to using the translatable version for future deployments and not a user sandbox.

Amire80 updated the task description. (Show Details)Jun 14 2020, 11:31 AM
Amire80 updated the task description. (Show Details)Jun 14 2020, 12:28 PM
Amire80 updated the task description. (Show Details)Jun 14 2020, 12:36 PM

Is translating the privacy policy required? It's... longish :)

Can someone please be very kind and make the "Privacy statement" translatable like the other pages? I can even do it myself, if the team can commit to using the translatable version for future deployments and not a user sandbox.

The user sandbox version is copied on the Wikimedia Foundation wiki. This wiki is not opened to translations, hence this additional step.

Is translating the privacy policy required? It's... longish :)

It is. Sorry.

Can someone please be very kind and make the "Privacy statement" translatable like the other pages? I can even do it myself, if the team can commit to using the translatable version for future deployments and not a user sandbox.

The user sandbox version is copied on the Wikimedia Foundation wiki. This wiki is not opened to translations, hence this additional step.

I know, but maybe there can be a copy as a translatable page on Meta, and then the translations can be periodically copied to Foundation wiki. This is done with some other pages, such as fundraising banners. This will be rather more convenient for volunteer translators.

Good point. Let me ask Legal about it.

@Amire80 -- thank you for working on this! We will be excited to deploy to Hebrew Wikipedia. Translating the short survey privacy statement is required, but translating the long privacy policy is not required anymore.

MMiller_WMF updated the task description. (Show Details)Jun 16 2020, 9:20 PM
Trizek-WMF updated the task description. (Show Details)Jun 17 2020, 12:57 PM
Trizek-WMF updated the task description. (Show Details)Jun 24 2020, 5:41 PM
Trizek-WMF updated the task description. (Show Details)Jun 30 2020, 5:05 PM
Trizek-WMF updated the task description. (Show Details)Jul 2 2020, 6:17 PM
Themacintosher updated the task description. (Show Details)
Themacintosher added a subscriber: Themacintosher.
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Amire80 updated the task description. (Show Details)Jul 4 2020, 11:30 AM

Change 609511 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/GrowthExperiments@master] Add Hebrew aliases

https://gerrit.wikimedia.org/r/609511

Amire80 updated the task description. (Show Details)Jul 4 2020, 11:41 AM
Amire80 updated the task description. (Show Details)Jul 4 2020, 1:59 PM
Amire80 updated the task description. (Show Details)Jul 4 2020, 2:25 PM
Amire80 updated the task description. (Show Details)Jul 5 2020, 7:53 AM
Amire80 updated the task description. (Show Details)Jul 5 2020, 10:34 AM

Change 609511 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Hebrew aliases

https://gerrit.wikimedia.org/r/609511

Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)

For your information, I'm on vacation until July 22. If you have any question about the tools, please ask @MMiller_WMF!

Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher updated the task description. (Show Details)
Themacintosher added a comment.EditedJul 11 2020, 8:57 PM

It seems everything needed was done

@MMiller_WMF , is there anything left needed to do for deploying these features? Thanks

@Themacintosher, thank you for the update.

Everything seems to be ready, we are going to check on it. Is there a particular time the features should be deployed on your wiki?

Great to hear :)

Can it be somewhere in August? Thanks

Catrope updated the task description. (Show Details)Jul 29 2020, 12:31 AM

@Themacintosher I will need to know the text for each of these links. I've attempted to guess based on the page titles, but I don't speak Hebrew so I probably didn't do a very good job. Please tell me how to correct these:

Change 616959 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on hewiki

https://gerrit.wikimedia.org/r/616959

Also still needs on-wiki JSON config for suggested edits, which I'm working on but probably won't finish today.

Themacintosher added a comment.EditedJul 29 2020, 7:12 AM
  • Help pages (you can provide either a Wikidata link or a link to your wiki):

*ויקיפדיה:מדריך לעיצוב דפים (Manual of Style)
*ויקיפדיה:אשף הערכים (article wizard)

*עזרה:עריכת קוד מקור (Help:Editing)

@Themacintosher I will need to know the text for each of these links. I've attempted to guess based on the page titles, but I don't speak Hebrew so I probably didn't do a very good job. Please tell me how to correct these:

@Catrope Will the English equalivalents from the English Wikipedia help?

ויקיפדיה:מדריך לעיצוב דפים- [[Wikipedia:Manual of Style]]

ויקיפדיה:אשף הערכים - [[Wikipedia:Article wizard/version1]]

העורך החזותי: מדריך למשתמש - [[Help:VisualEditor/User guide]]

עזרה:עריכת קוד מקור- [[Help:Editing]] (however, the hebrew page in this case is only for the textual editor)

Thanks!

@Themacintosher, what Catrope looks after is the label for each page.

In [[Wikipedia:Manual of Style|Manual of style]], the second part of the link (after the |) is the label.

Are the following links displaying the right labels?

עזרה:עריכת קוד מקור- [[Help:Editing]] (however, the hebrew page in this case is only for the textual editor)

Is there a page about visual editing, or one more universal, that would be a better choice? If so, please provide the link and the label. :)

Themacintosher added a comment.EditedJul 29 2020, 2:40 PM

The links mostly display the right labels, indeed. However, I would call the third link (מדריך למשתמש) as העורך החזותי: מדריך למשתמש (this is the full name of the label within the help pages, if I'm not mistaken+ the name "מדריך למשתמש" is quite vague, it should be clarified what kind of a "user guide" it is).

Quoted Tex tIs there a page about visual editing, or one more universal, that would be a better choice? If so, please provide the link and the label. :)

A separate guide for the visual editor is already in the links too- העורך החזותי: מדריך למשתמש (which is a translated version of Help:VisualEditor/User guide)

The links mostly display the right labels, indeed. However, I would call the third link (מדריך למשתמש) as העורך החזותי: מדריך למשתמש (this is the full name of the label within the help pages, if I'm not mistaken+ the name "מדריך למשתמש" is quite vague, it should be clarified what kind of a "user guide" it is).

OK, updated.

Great to hear :)

Can it be somewhere in August? Thanks

Sure, we can schedule this for whenever you want. Deployment windows are available every Monday-Thursday at 11:00-12:00, 18:00-19:00 and 23:00-00:00 UTC (except that the 18:00 window is not available on some Tuesdays). It would be most convenient for me to deploy this on a Monday or a Wednesday in the 18:00-19:00 UTC window (21:00-22:00 Israel time), but I can be flexible or find another deployer to cover for me.

So please pick a date in August (ideally a Monday or Wednesday, but we can make a Tuesday or Thursday work if needed) and I'll put it on the deployment calendar.

@Themacintosher and @Amire80, we will proceed on the deployment on Monday August 10. Please inform your community about this. :)

If there is any blocker that would prevent it, let us know!

Great to hear and thanks for all of your effort! I will notify the community

Catrope set Due Date to Aug 10 2020, 6:00 PM.Aug 4 2020, 9:56 PM
Catrope changed Due Date from Aug 10 2020, 6:00 PM to Aug 11 2020, 6:00 PM.Aug 7 2020, 9:28 PM

Rescheduled to Tuesday August 11 at @MMiller_WMF's request

Catrope changed Due Date from Aug 11 2020, 6:00 PM to Aug 12 2020, 6:00 PM.Aug 10 2020, 11:02 PM

Rescheduled again, to Wednesday August 12

Change 616959 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on hewiki

https://gerrit.wikimedia.org/r/616959

Mentioned in SAL (#wikimedia-operations) [2020-08-12T18:10:45Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable GrowthExperiments on hewiki (T255020) (duration: 01m 03s)

Etonkovidova added a subscriber: Etonkovidova.

@MMiller_WMF - no issues, just FYI.

MMiller_WMF closed this task as Resolved.Aug 14 2020, 1:42 AM

Excellent, thank you!